@import "@/styles/variables";

.frame {
    display: flex;

    &:hover {
        opacity: 1;
    }

    .logo-frame {
        min-width: 2rem;
        min-height: 2rem;
        position: relative;

        @include tablet {
            width: 2rem;
            height: 2rem;
        }

        @include smallscreen {
            width: 2.7rem;
            height: 2.7rem;
        }

        img {
            object-fit: contain;
        }

        &_footer {
            width: 2.7rem;
            height: 2.7rem;
        }
    }
}

.text {
    @include json-newline;

    font-family: $logo-text;
    font-weight: 600;
    font-size: 9px;
    line-height: 10px;
    letter-spacing: 1px;
    text-transform: uppercase;
    text-shadow: $shadow-light;
    padding: 0.42rem 0 0 0.5rem;
    color: $black;

    @include smallscreen {
        text-shadow: none;
        font-size: 14px;
        line-height: 17px;
        padding-top:.42rem;
    }

    &-footer {
        font-size: 14px;
        line-height: 17px;
        text-shadow: none;
        padding-left:0;
    }
}
